/**
 * $Id: Datum.java,v 1.1.1.1 2000/12/08 08:22:53 pcj Exp $
 *
 * Copyright (C) 2000 Paul Cody Johnston - paul@inxar.org
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */
package org.inxar.affirm;

/**
 * A <code>Datum</code> is the pair (key, value).  <code>Datum</code>
 * are like <code>java.util.Map.Entry</code> objects that carry 'good'
 * data.  
 */
public interface Datum
{
    /**
     * Returns the key to which this data is associated.  
     */
    Object getKey();
    
    /**
     * Returns the value under the stated key.  
     */
    Object getValue();
}
